summaryrefslogtreecommitdiff
path: root/tests/mv
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2008-10-08 08:51:38 +0200
committerJim Meyering <meyering@redhat.com>2008-12-01 17:03:37 +0100
commit7ef56a26fd911e551f1bd9d2783afb7fbed6c669 (patch)
treeef8066ff8bf3e91ca25c94933d3dc6b99a97b142 /tests/mv
parentaa2617b9086ca7ffaf49fd22c0b54ab58c2107fd (diff)
downloadcoreutils-7ef56a26fd911e551f1bd9d2783afb7fbed6c669.tar.xz
cp, mv: remove 3-year-deprecated+warned-about --reply option
* src/cp.c (reply_args, reply_vals): Remove globals. [REPLY_OPTION]: Remove enum. (long_opts) ["reply"]: Remove initializer. (main): Remove case stmt. * src/mv.c: Likewise. Don't include "argmatch.h". No longer used. * NEWS (Changes in behavior): Mention this. * tests/Makefile.am (TESTS): Remove mv/reply-no. * tests/mv/reply-no: Remove file. * tests/mv/i-link-no: Update, now that --reply= is gone.
Diffstat (limited to 'tests/mv')
-rwxr-xr-xtests/mv/i-link-no13
-rwxr-xr-xtests/mv/reply-no42
2 files changed, 5 insertions, 50 deletions
diff --git a/tests/mv/i-link-no b/tests/mv/i-link-no
index 226d5dd17..2a762d6d4 100755
--- a/tests/mv/i-link-no
+++ b/tests/mv/i-link-no
@@ -29,19 +29,16 @@ ln a/foo a/bar || framework_failure
echo FUBAR > b/FUBAR || framework_failure
ln b/FUBAR b/bar || framework_failure
chmod a-w b/bar || framework_failure
+echo n > no || framework_failure
fail=0
-mv --reply=no a/bar a/foo b > out 2> err || fail=1
-cat <<EOF > exp
-EOF
+mv a/bar a/foo b < no > out 2> err || fail=1
+touch exp
+touch exp_err
-cat <<EOF > exp_err
-mv: the --reply option is deprecated; use -i or -f instead
-EOF
-
-compare err exp_err || fail=1
compare out exp || fail=1
+compare err exp_err || fail=1
case "`cat b/foo`" in
foo) ;;
diff --git a/tests/mv/reply-no b/tests/mv/reply-no
deleted file mode 100755
index fb7cc2f8d..000000000
--- a/tests/mv/reply-no
+++ /dev/null
@@ -1,42 +0,0 @@
-#!/bin/sh
-# Ensure that `mv --reply=no f1 f2' works.
-
-# Copyright (C) 2005-2008 Free Software Foundation, Inc.
-
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see <http://www.gnu.org/licenses/>.
-
-if test "$VERBOSE" = yes; then
- set -x
- mv --version
-fi
-
-. $srcdir/test-lib.sh
-
-touch a b || framework_failure
-
-fail=0
-
-mv --interactive --reply=no a b > out 2>&1 || fail=1
-
-# Both files must remain.
-test -f a || fail=1
-test -f b || fail=1
-
-cat <<EOF > exp_err
-mv: the --reply option is deprecated; use -i or -f instead
-EOF
-
-compare out exp_err || fail=1
-
-Exit $fail